ByteChef LogoByteChef
OpenapiTables

List data tables

List the data tables of a workspace that exist in the requested environment.

GET
/workspaces/{workspaceId}/data-tables

Path Parameters

workspaceId*integer

The id of a workspace.

Formatint64

Query Parameters

tag?string

Return only tables carrying this tag.

Header Parameters

X-Environment?string

The environment whose physical table is addressed. PRODUCTION when omitted.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/0/data-tables"
[  {    "id": 0,    "workspaceId": 0,    "name": "string",    "description": "string",    "columns": [      {        "name": "string",        "type": "STRING",        "link": {          "targetDataTableId": 0,          "onDelete": "BLOCK",          "displayColumnName": "string"        }      }    ],    "tags": [      "string"    ],    "lastModifiedDate": "2019-08-24T14:15:22Z"  }]

How is this guide?